(function($, Lego){

Lego.block['b-vmenu'] = function(){
    $('>.item>.switcher>.b-pseudo-link , >.item>.switcher>.switcher-icon', this).click(
        function(){
            var switcher = $(this).parents('.switcher:first');
            switcher.toggleClass('switcher-on');
            switcher.find('img').attr('alt', switcher.hasClass('switcher-on') ? '-' : '+');
            $('.b-vmenu:first', $(this).parents('.item:first')).toggleClass('g-hidden');
            }
    );
};

})(jQuery, window.Lego);
